SqlExceptionHelper.WarningHandlerLoggingSupport (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc.spi
Class SqlExceptionHelper.WarningHandlerLoggingSupport

    java.lang.Object
      org.hibernate.engine.jdbc.spi.SqlExceptionHelper.WarningHandlerLoggingSupport

All Implemented Interfaces:
  SqlExceptionHelper.WarningHandler

Direct Known Subclasses:
  SqlExceptionHelper.StandardWarningHandler

Enclosing class:
  SqlExceptionHelper

    public abstract static class SqlExceptionHelper.WarningHandlerLoggingSupport

extends Object
implements SqlExceptionHelper.WarningHandler

Basic support for `SqlExceptionHelper.WarningHandler` implementations which log

Constructor Summary
`SqlExceptionHelper.WarningHandlerLoggingSupport()`

Method Summary
`void` | `handleWarning(SQLWarning warning)` Handle an individual warning in the stack.
`protected abstract void` | `logWarning(String description, String message)` Delegate to log common details of a `warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.engine.jdbc.spi.SqlExceptionHelper.WarningHandler
`doProcess, prepare`

Constructor Detail

### SqlExceptionHelper.WarningHandlerLoggingSupport

    public SqlExceptionHelper.WarningHandlerLoggingSupport()

Method Detail

### handleWarning

    public final void handleWarning(SQLWarning warning)

  Description copied from interface: `SqlExceptionHelper.WarningHandler`
  Handle an individual warning in the stack.

  Specified by:
    `handleWarning` in interface `SqlExceptionHelper.WarningHandler`
  Parameters:
    `warning` - The warning to handle.

### logWarning

    protected abstract void logWarning(String description,
                                       String message)

  Delegate to log common details of a `warning`

  Parameters:
    `description` - A description of the warning
    `message` - The warning message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.